For the complete documentation index, see llms.txt. This page is also available as Markdown.

Forms

List all waste forms

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

uid__instringOptional

Filter waste forms by uid

createdstring · date-timeOptional

Filter waste forms by creation date

created__gtstring · date-timeOptional

Filter waste forms created after a certain date

created__gtestring · date-timeOptional

Filter waste forms created on or after a certain date

created__ltstring · date-timeOptional

Filter waste forms created before a certain date

created__ltestring · date-timeOptional

Filter waste forms created on or before a certain date

statusstring · enumOptional

The status of the waste shipment

Example: completedPossible values:
status__instringOptional

Filter waste forms by multiple statuses, comma separated

Example: cancelled,discontinued
Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/wam/forms/
GET /api/v4/wam/forms/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "uid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "DAS-1",
      "created": "2022-01-01T00:00:00Z",
      "updated": "2022-01-01T00:00:00Z",
      "status": "completed",
      "pdf": {
        "url": "http://example.com/pdf",
        "updated_date": "2022-01-01T00:00:00Z"
      },
      "discontinued_reason": "Traffic accident",
      "transport_uid": "123e4567-e89b-12d3-a456-426614174000",
      "producer_id": 1,
      "processor_id": 2,
      "carrier_id": 3,
      "organizer_id": 4,
      "origin_id": 5,
      "instructions": "Handle with care",
      "sea_ship_name": "Sea ship name",
      "sea_ship_imo_number": "IMO1234567",
      "sea_ship_mmsi_number": "123456789",
      "sea_ship_eni_number": "12345678",
      "transport_date": "2022-01-01T00:00:00Z",
      "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
      "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
      "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
      "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
      "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Create a waste form

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
producer_idinteger · nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger · nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger · nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger · nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger · nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger · nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring · nullableOptionalExample: Handle with care
sea_ship_namestring · nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring · nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring · nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring · nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring · date-time · nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring · uuid · nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring · uuid · nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring · uuid · nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring · uuid · nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring · uuid · nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
201

Create successful

application/json
uidstring · uuidOptional

Unique identifier of the waste form

Example: 123e4567-e89b-12d3-a456-426614174000
namestringOptional

Human readable name of the waste form. Identifier for OVAM.

Example: DAS-1
createdstring · date-timeOptional

Date and time of creation

Example: 2022-01-01T00:00:00Z
updatedstring · date-timeOptional

Date and time of last update

Example: 2022-01-01T00:00:00Z
statusstring · enumOptional

The status of the waste shipment

Example: completedPossible values:
discontinued_reasonstring · nullableOptional

Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination

Example: Traffic accident
transport_uidstring · uuidOptional

Unique identifier of the transport linked to the waste form in the TMS if any

Example: 123e4567-e89b-12d3-a456-426614174000
producer_idinteger · nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger · nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger · nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger · nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger · nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger · nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring · nullableOptionalExample: Handle with care
sea_ship_namestring · nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring · nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring · nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring · nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring · date-time · nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring · uuid · nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring · uuid · nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring · uuid · nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring · uuid · nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring · uuid · nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
post/wam/forms/
POST /api/v4/wam/forms/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 605

{
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "sea_ship_name": "Sea ship name",
  "sea_ship_imo_number": "IMO1234567",
  "sea_ship_mmsi_number": "123456789",
  "sea_ship_eni_number": "12345678",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
}
201

Create successful

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "DAS-1",
  "created": "2022-01-01T00:00:00Z",
  "updated": "2022-01-01T00:00:00Z",
  "status": "completed",
  "pdf": {
    "url": "http://example.com/pdf",
    "updated_date": "2022-01-01T00:00:00Z"
  },
  "discontinued_reason": "Traffic accident",
  "transport_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "sea_ship_name": "Sea ship name",
  "sea_ship_imo_number": "IMO1234567",
  "sea_ship_mmsi_number": "123456789",
  "sea_ship_eni_number": "12345678",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
}

Delete a waste form

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Responses
405

A waste form cannot be deleted, but cancelling or discontinuing it is allowed from the web app

No content

delete/wam/forms/{uid}/
DELETE /api/v4/wam/forms/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
405

A waste form cannot be deleted, but cancelling or discontinuing it is allowed from the web app

No content

Read a waste form

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Responses
200

Get successful

application/json
uidstring · uuidOptional

Unique identifier of the waste form

Example: 123e4567-e89b-12d3-a456-426614174000
namestringOptional

Human readable name of the waste form. Identifier for OVAM.

Example: DAS-1
createdstring · date-timeOptional

Date and time of creation

Example: 2022-01-01T00:00:00Z
updatedstring · date-timeOptional

Date and time of last update

Example: 2022-01-01T00:00:00Z
statusstring · enumOptional

The status of the waste shipment

Example: completedPossible values:
discontinued_reasonstring · nullableOptional

Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination

Example: Traffic accident
transport_uidstring · uuidOptional

Unique identifier of the transport linked to the waste form in the TMS if any

Example: 123e4567-e89b-12d3-a456-426614174000
producer_idinteger · nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger · nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger · nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger · nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger · nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger · nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring · nullableOptionalExample: Handle with care
sea_ship_namestring · nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring · nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring · nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring · nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring · date-time · nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring · uuid · nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring · uuid · nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring · uuid · nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring · uuid · nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring · uuid · nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
get/wam/forms/{uid}/
GET /api/v4/wam/forms/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "DAS-1",
  "created": "2022-01-01T00:00:00Z",
  "updated": "2022-01-01T00:00:00Z",
  "status": "completed",
  "pdf": {
    "url": "http://example.com/pdf",
    "updated_date": "2022-01-01T00:00:00Z"
  },
  "discontinued_reason": "Traffic accident",
  "transport_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "sea_ship_name": "Sea ship name",
  "sea_ship_imo_number": "IMO1234567",
  "sea_ship_mmsi_number": "123456789",
  "sea_ship_eni_number": "12345678",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
}

Update a waste form

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Body
producer_idinteger · nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger · nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger · nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger · nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger · nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger · nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring · nullableOptionalExample: Handle with care
sea_ship_namestring · nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring · nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring · nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring · nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring · date-time · nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring · uuid · nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring · uuid · nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring · uuid · nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring · uuid · nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring · uuid · nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Update successful

application/json
uidstring · uuidOptional

Unique identifier of the waste form

Example: 123e4567-e89b-12d3-a456-426614174000
namestringOptional

Human readable name of the waste form. Identifier for OVAM.

Example: DAS-1
createdstring · date-timeOptional

Date and time of creation

Example: 2022-01-01T00:00:00Z
updatedstring · date-timeOptional

Date and time of last update

Example: 2022-01-01T00:00:00Z
statusstring · enumOptional

The status of the waste shipment

Example: completedPossible values:
discontinued_reasonstring · nullableOptional

Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination

Example: Traffic accident
transport_uidstring · uuidOptional

Unique identifier of the transport linked to the waste form in the TMS if any

Example: 123e4567-e89b-12d3-a456-426614174000
producer_idinteger · nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger · nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger · nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger · nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger · nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger · nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring · nullableOptionalExample: Handle with care
sea_ship_namestring · nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring · nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring · nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring · nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring · date-time · nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring · uuid · nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring · uuid · nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring · uuid · nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring · uuid · nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring · uuid · nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
patch/wam/forms/{uid}/
PATCH /api/v4/wam/forms/{uid}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 605

{
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "sea_ship_name": "Sea ship name",
  "sea_ship_imo_number": "IMO1234567",
  "sea_ship_mmsi_number": "123456789",
  "sea_ship_eni_number": "12345678",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
}
200

Update successful

{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "DAS-1",
  "created": "2022-01-01T00:00:00Z",
  "updated": "2022-01-01T00:00:00Z",
  "status": "completed",
  "pdf": {
    "url": "http://example.com/pdf",
    "updated_date": "2022-01-01T00:00:00Z"
  },
  "discontinued_reason": "Traffic accident",
  "transport_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "sea_ship_name": "Sea ship name",
  "sea_ship_imo_number": "IMO1234567",
  "sea_ship_mmsi_number": "123456789",
  "sea_ship_eni_number": "12345678",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000"
}

Last updated

Was this helpful?